Runtime

## org.eclipse.gmf.runtime.common.ui.action
Interface IDisposableAction

All Superinterfaces:
  IAction

All Known Implementing Classes:
  AbstractActionHandler

public interface IDisposableAction
extends IAction

Interface extension to `IAction` adding lifecycle methods.

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Method Summary
`void` `dispose()` dispose should be called as soon as the action is no longer needed
`void` `init()` init should be called after an action instance gets constructed
`boolean` `isDisposed()` Answers whether or not this action has been disposed and has not been re-initialized.

Methods inherited from interface org.eclipse.jface.action.IAction

`addPropertyChangeListener, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, removePropertyChangeListener, run, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Method Detail

### init

    public void init()

  init should be called after an action instance gets constructed

### dispose

    public void dispose()

  dispose should be called as soon as the action is no longer needed

### isDisposed

    public boolean isDisposed()

  Answers whether or not this action has been disposed and has not been re-initialized.

  Returns:
    `true` if the action has been disposed, `false` otherwise.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.